@import "../../../../../assets/styles/variables.scss";

:host {

    &.total {
        width: 100%;
        font-size: 12px;
        flex-direction: row;
        cursor: inherit;
        color: #fdfdfd;
        padding: 0;
        transition: 0.13s opacity ease-in-out;
        position: sticky;
        top: 0px;
        z-index: 101;

        > .summary-wrapper {
            background: transparent;
            padding: 0;
            margin-top: -22px;
            justify-content: center;
            z-index: 1;

            > .summary-macro {
                width: 100%;
                padding: 15px;
                background: #1e203e;
                border-radius: 3px;
                box-shadow: -1px 1px 9px 1px rgb(30, 32, 62);
                max-width: 203px;
                z-index: 1;
                
                &:hover {
                    > .macro-icon {
                        opacity: 1;
                        background-color: #fd74a2 !important;
                    }
                }

                > .macro-icon {
                    opacity: 0.8;
                    transition: 0.25s all ease-in-out;
                    width: 30px;
                    height: 30px;
                    margin: 0 auto 10px;
                    background-color: #fdfdfd;

                    &.macro-icon__fats {
                        -webkit-mask: url('/assets/icons/fats.svg') no-repeat center;
                        mask: url('/assets/icons/fats.svg') no-repeat center;
                    }

                    &.macro-icon__hc {
                        -webkit-mask: url('/assets/icons/hc.svg') no-repeat center;
                        mask: url('/assets/icons/hc.svg') no-repeat center;
                    }

                    &.macro-icon__proteins {
             
                        -webkit-mask: url('/assets/icons/proteins.svg') no-repeat center;
                        mask: url('/assets/icons/proteins.svg') no-repeat center;
                    }
                }

                & + * {
                    border-left: none;
                    margin-left: 1rem;                
                }

                .mat-progress-bar {
                    margin-top: 10px;
                }
            }
        }
    }

    > .summary-wrapper {
        padding: 12px 56px;
        flex: 1;
        text-align: center;
        display: flex;
        align-items: center;
        justify-content: space-around;
        font-size: 11px;
        color: #e4e3e6;
        background: #2c3a89;
        border-radius: 0 0 7px 7px;
        border: 2px solid #ffffff52;

        > .summary-macro {
            flex: 1;
            display: flex;
            flex-direction: column;
            color: #c9c9c9;

            & + * {
                border-left: 1px solid rgba(255, 255, 255, 0.23);
            }
            
            > span.current-meal-plan {
                font-size: 0.84rem;
                color: white;
            }
        } 
    }
       
}